# KeepAlive

Enables TCP keep-alive packets on the socket.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  KeepAlive

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

Enable or disable keep-alive packets at the tcp socket layer. The default is to disable them.

## Input usage

    input(type="imptcp" keepAlive="...")

### Legacy names (for reference)

Historic names/directives for compatibility. Do not use in new configs.

- $InputPTCPServerKeepAlive — maps to KeepAlive (status: legacy)

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.